
<div class="ui segment top-level">
    <h2 class="ui header">
        <i class="user plus icon"></i>
        <div class="content">
        {{ 'signup' | translate }}
        </div>
    </h2>
    <div class="ui divider"></div>
    <form [formGroup]="signupForm" (ngSubmit)="onSignupSubmit()" class="ui form">
        <div class="field" [ngClass]="{'error': !signupForm.get('username')?.valid && (signupForm.get('username')?.touched || hasTriedSubmit)}">
          <label>{{ 'username' | translate }}</label>
          <input type="text" name="username" formControlName="username" required>
          <app-input-error [control]="signupForm.get('username')"></app-input-error>
        </div>
        <div class="field" [ngClass]="{'error': !signupForm.get('email')?.valid && signupForm.get('email')?.touched }">
            <label>Email</label>
            <input type="email" name="email" formControlName="email">
            <app-input-error [control]="signupForm.get('email')"></app-input-error>
        </div>
        <div class="field" [ngClass]="{'error': !signupForm.get('password')?.valid && (signupForm.get('password')?.touched  || hasTriedSubmit)}">
            <label>{{ 'password' | translate }}</label>
            <input type="password" name="password" formControlName="password" required>
            <app-input-error [control]="signupForm.get('password')"></app-input-error>
          </div>
          <div class="field" [ngClass]="{'error': !signupForm.get('passwordCheck')?.valid && (signupForm.get('passwordCheck')?.touched  || hasTriedSubmit) }">
            <label>{{ 'password_check' | translate }}</label>
            <input type="password" name="passwordCheck" formControlName="passwordCheck" required>
            <app-input-error [control]="signupForm.get('passwordCheck')"></app-input-error>
          </div>
        <div class="field" [ngClass]="{'error': !signupForm.get('conditionsAccepted')?.valid && (signupForm.get('conditionsAccepted')?.touched  || hasTriedSubmit) }">
          <div class="ui checkbox">
            <input type="checkbox" tabindex="0" name="conditions-accepted" class="hidden" formControlName="conditionsAccepted">
            <label>{{ 'agree_terms' | translate }}</label>
          </div>
          <app-input-error [control]="signupForm.get('conditionsAccepted')"></app-input-error>
        </div>
        <button class="ui button" type="submit">{{ 'submit_register' | translate }}</button>
    </form>
</div>

